javax.swing.plaf.metal

## Class MetalIconFactory.TreeControlIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.TreeControlIcon

All Implemented Interfaces:
  Serializable, Icon

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.TreeControlIcon
    extends Object
    implements Icon, Serializable

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Field Summary

Fields
`protected boolean` `isLight`

### Constructor Summary

Constructors
Constructor and Description
`TreeControlIcon(boolean isCollapsed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIconHeight()` Returns the icon's height.
`int` `getIconWidth()` Returns the icon's width.
`void` `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.
`void` `paintMe(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isLight

    protected boolean isLight

### Constructor Detail

#### TreeControlIcon

    public TreeControlIcon(boolean isCollapsed)

### Method Detail

#### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

Description copied from interface: `Icon`
Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

Specified by:
  `paintIcon` in interface `Icon`

#### paintMe

    public void paintMe(Component c,
                        Graphics g,
                        int x,
                        int y)

#### getIconWidth

    public int getIconWidth()

Description copied from interface: `Icon`
Returns the icon's width.

Specified by:
  `getIconWidth` in interface `Icon`
Returns:
  an int specifying the fixed width of the icon.

#### getIconHeight

    public int getIconHeight()

Description copied from interface: `Icon`
Returns the icon's height.

Specified by:
  `getIconHeight` in interface `Icon`
Returns:
  an int specifying the fixed height of the icon.